# This code should tell a visitor entering a museum what
# they must pay, depending on whether the visitor is a
# senior, a student or none of the above. Try some different values.


def ticket_price(visitor_type):
    """Calculate the ticket price based on visitor category.

    visitor_type: a list of categories
    """
    if "senior" in visitor_type:
        return 80
    elif "student" in visitor_type:
        return 90
    else:
        return 100


alice = ["Alice", "student", "senior"]
bob = ["Bob"]
carol = ["Carol", "senior"]
dan = ["Dan", "student"]

visitors = [alice, bob, carol, dan]

for v in visitors:
    name = v[0]
    price = ticket_price(v)
    print(f"{name} has to pay kr.{price}.")
